Opened 12 years ago

Closed 12 years ago

#3178 closed defect (fixed)

SYMBIAN UIQ3: Gobliiins hangs ScummVM on startup

Reported by: SF/larsan_se Owned by: anotherguest
Priority: normal Component: Engine: Gob
Keywords: Cc:
Game: Gobliiins

Description

Hi.

I recently aquired a CD version of Gobliins. It has five languages, I use English.
I've also tried floppy versions of the three Gobliiin games, no luck. All games work perfectly in ScummVM Win32 snapshot: svn 0.10.0 27 mar 00:31:35

I've tried with these versions of ScummVM for UIQ3:
0.10.0svn (Feb 28 2007 20:25:24)
0.10.0svn (Mar 22 2007)
No go with either one.

I tried Gobliiins 1, floppy and CD with this scummvm-060917-SymbianUIQ3_gob.sis 17-09-2006 17:06:23
Both worked flawlessly.

The phone hangs so badly, I need to force-reboot or remove the battery.

This is on a Sony Ericsson P990i with R5A17 firmware.

Ticket imported from: #1711815. Ticket imported from: bugs/3178.

Change History (10)

comment:1 by SF/larsan_se, 12 years ago

I just tried with: ScummVM 0.10.0svn (Mar 11 2007 15:40:53)
No go.

The stderr and stdout are both cleared after crash.

comment:2 by fingolfin, 12 years ago

Owner: set to anotherguest

comment:3 by sev-, 12 years ago

Did you rip the soundtrack?

comment:4 by sev-, 12 years ago

Status: newpending

comment:5 by SF/larsan_se, 12 years ago

Status: pendingnew

comment:6 by SF/larsan_se, 12 years ago

How do you mean?
I have tried both ogg and mp3.
Both works fine in Win32-snapshot.
Neither works in UIQ3-svn.

But, seeing as the floppy version does not work either, I'd guess that it's a gob-problem.

comment:7 by sev-, 12 years ago

Would be nice to have it fixed/investigated before release

comment:8 by SF/larsan_se, 12 years ago

Do you need additional testing / info from me?

comment:9 by anotherguest, 12 years ago

Resolution: fixed
Status: newclosed

comment:10 by anotherguest, 12 years ago

Using -O4 for the GCCE compiler was producing binaries which did n't run as expected on target. With -O2 everything seems to be ok.

Note: See TracTickets for help on using tickets.